<?php 
require_once("config.php");

switch($_POST['action'])
{
	case 'Register':
		/* Регистрация */
		$name = $mysqli->escape_string($_POST['name']);
		$lastname = $mysqli->escape_string($_POST['lastname']);
		$login = $mysqli->escape_string($_POST['login']);
		$password = $mysqli->escape_string($_POST['password']);
		$created_at = time();
		
		if($name=="" or $lastname=="" or $login=="" or $password=="")
		{
			echo 'Заполните все поля!';
			exit;
		}
		
		$nouni_login = $mysqli->query("SELECT id FROM users WHERE login='".$login."'")->num_rows;
		
		if($nouni_login)
		{
			echo 'Такой пользователь уже существует!';
			exit;
		}
		
		$salt = strtoupper(substr(sha1($login), 5, 15))."\3\1";
		$hashpass = sha1(sha1($password).$salt);
		
		if(!$mysqli->query("INSERT INTO users(name,lastname,login,password,salt,created_at) 
		VALUES('$name','$lastname','$login','$hashpass','$salt','$created_at')"))
			echo $mysqli->error;
		
		$_SESSION['user_id'] = $mysqli->insert_id;;
		
		$_SESSION['user_name'] = $name." ".$lastname;
		
		break;
		
	case 'Auth':
		/* Авторизация */
		$login = $mysqli->escape_string($_POST['login']);
		$password = $mysqli->escape_string($_POST['password']);
		
		if($login=="" or $password=="")
		{
			echo 'Заполните все поля!';
			exit;
		}
		
		$user = $mysqli->query("SELECT * FROM users WHERE login='$login' and password=SHA1(CONCAT(SHA1($password),salt))");
		
		if(!$user->num_rows)
		{
			echo 'Неверный логин или пароль!';
			exit;
		}
		
		$row = $user->fetch_assoc();
		
		$_SESSION['user_id'] = $row['id'];
		
		$_SESSION['user_name'] = $row['name']." ".$row['lastname'];
		
		break;
		
	case 'CreateTopic':
		/* Создание темы */
		$user_id = $_SESSION['user_id'];
		$name = $mysqli->escape_string($_POST['name']);
		$created_at = time();
		
		if(!$user_id)
		{
			echo 'Сначала авторизуйтесь';
			exit;
		}
		
		if($name=="")
		{
			echo 'Заполните все поля!';
			exit;
		}
		
		$mysqli->query("INSERT INTO topics (author_id,name,created_at) VALUES ('$user_id','$name','$created_at')");
		
		break;
	
	case 'CreateMessage':
		/* Создание сообщения */
		$user_id = $_SESSION['user_id'];
		$content = $mysqli->escape_string($_POST['content']);
		$topic_id = $mysqli->escape_string($_POST['topic_id']);
		$created_at = time();
		
		if(!$user_id)
		{
			echo 'Сначала авторизуйтесь';
			exit;
		}
		
		if($content=="")
		{
			echo 'Заполните все поля!';
			exit;
		}
		
		$mysqli->query("INSERT INTO messages (author_id,topic_id,content,created_at) VALUES ('$user_id','$topic_id','$content','$created_at')");
		
		break;
	case 'IOnline':
		/* Обновляем посл визит пользвателя */
		if(isset($_SESSION['user_id']))
		{
			$t = time();
			$mysqli->query("UPDATE users SET last_visit='$t' WHERE id=".$_SESSION['user_id']);
		}
		break;
}

?>