<?php 
require_once("config.php");

include("blocks/header.php");

$topics = $mysqli->query("SELECT t.*,CONCAT(u.name,' ',u.lastname) AS author_name FROM topics t LEFT JOIN users u ON u.id=t.author_id");

?> 
<?php if(isset($_SESSION['user_id'])): ?>
<div class="portlet portlet-default">
<div class="portlet-heading">
	<div class="portlet-title">
		<h4>Создать тему</h4>
	</div>
	<div class="clearfix"></div>
</div>
<div class="portlet-body">
 <form method="POST" role="form" class="ajax_handler">
  <div class="error-message3"></div>
<h4>Название темы</h4>
<input type="text" name="name" maxlength="200" class="form-control">
<input type="hidden" name="action" value="CreateTopic" /> 
<br/>                                     
<div class="form-group">
	<div class="ajaxloader">
		<button class="btn btn-default" type="submit">Создать тему</button>
	</div>
</div>
</form>
</div>
</div>
<?php endif; ?>
<h1>Список тем</h1>
<div class="table-responsive">
<table class="table table-striped table-bordered table-hover table-green" id="example-table">
<thead>
<tr>
    <th>Автор</th>
	<th>Название</th>
	<th>Дата создания</th>
	<th>Кол-во сообщений</th>
</tr>
</thead>
<tbody>
<?php  while($row=$topics->fetch_assoc()): ?>
<tr class="odd gradeX">
<td><?php echo $row['author_name']?></td>
<td><a style="text-decoration:underline;" href="topic.php?id=<?php echo $row['id']?>"><?php echo $row['name']?></a></td>
<td><?php echo date("d.m.Y H:i:s", $row['created_at']) ?></td>
<?php
$count_messages = $mysqli->query("SELECT id FROM messages WHERE topic_id=".$row['id'])->num_rows;
 ?>
<td><?php echo $count_messages; ?> шт.</td>
</tr>
<?php endwhile; ?>
</tbody>
</table>

<?php include("blocks/footer.php"); ?>