<?php 
require_once("config.php");

include("blocks/header.php");

$topic_id = $mysqli->escape_string($_GET['id']);
$topic = $mysqli->query("SELECT m.*,CONCAT(u.name,' ',u.lastname) AS author_name FROM messages m LEFT JOIN users u ON u.id=m.author_id WHERE topic_id=$topic_id");

?>
<?php if(isset($_SESSION['user_id'])): ?>
<div class="portlet portlet-default">
<div class="portlet-heading">
	<div class="portlet-title">
		<h4>Создать сообщение</h4>
	</div>
	<div class="clearfix"></div>
</div>
<div class="portlet-body">
 <form method="POST" role="form" class="ajax_handler">
  <div class="error-message4"></div>
  <h4>Сообщение</h4>
<textarea placeholder="Макс 4000 символов" rows="2" maxlength="4000" name="content" class="form-control"></textarea>
<input type="hidden" name="topic_id" value="<?php echo $topic_id; ?>" /> 
<input type="hidden" name="action" value="CreateMessage" /> 
<br/>                                     
<div class="form-group">
	<div class="ajaxloader">
		<button class="btn btn-default" type="submit">Написать</button>
	</div>
</div>
</form>
</div>
</div>
<?php endif; ?>
<h1>Список сообщений</h1>
<div class="table-responsive">
<table class="table table-striped table-bordered table-hover table-green" id="example-table">
<thead>
<tr>
    <th>Автор</th>
	<th>Текст</th>
	<th>Дата</th>
</tr>
</thead>
<tbody>
<?php  while($row=$topic->fetch_assoc()): ?>
<tr class="odd gradeX">
<td><?php echo $row['author_name']?></td>
<td><?php echo $row['content'] ?></td>
<td><?php echo date("d.m.Y H:i:s", $row['created_at']) ?></td>
</tr>
<?php endwhile; ?>
</tbody>
</table>

<?php include("blocks/footer.php"); ?>